import { TSDate } from "./tsdate";
import { Comparison, Nullable } from "./types";
export declare function $numcompare(a: number, b: number): Comparison;
export declare function $datecompare(a: Nullable<number | string | Date | TSDate>, b: Nullable<number | string | Date | TSDate>): Comparison;
export declare function $compare(a: any, b: any): Comparison;
export declare function $min<T = any>(values: Nullable<Iterable<T>>): any;
export declare function $max(values: any[]): any;
export declare function $equal(a: any, b: any): any;
declare global {
    export interface Array<T> {
        min: () => T | undefined;
        max: () => T | undefined;
    }
}
