import { Resp } from "./tsrequest";
import { AnyDictionary } from "./types";
export declare class TSUniqueError extends Error {
    private static __timeoutInstance;
    private static __genericInstance;
    private constructor();
    static genericError(): TSUniqueError;
    static timeoutError(): TSUniqueError;
}
export declare class TSError extends Error {
    readonly infos: AnyDictionary | undefined;
    constructor(message: string, infos?: AnyDictionary);
}
export declare function $subclassReponsabililty(instance: object, method: Function): any;
export declare class TSHttpError extends TSError {
    readonly status: Resp;
    constructor(message: string, status: Resp, infos?: AnyDictionary);
}
