import { Comparison } from "./types";
export declare type TSConstructor<T = unknown> = new (...args: any[]) => T;
export interface TSObject {
    toString(): string;
    toJSON(): any;
    toArray(): any[];
    isEqual(other: any): boolean;
    compare(other: any): Comparison;
}
export interface TSCollection<T> {
    getItems: () => T[];
}
export declare function $iscollection(o: any): boolean;
export interface TSClone<T> {
    clone(): T;
}
