export declare const $noop: () => void;
export declare function $timeout(promise: Promise<any>, time: number, exception: any): Promise<any>;
export declare function $inspect(v: any): string;
export declare function $term(s: string, escapeChar?: string): string;
export declare function $termclean(s: string, escapeChar?: string): string;
export declare function $logterm(format: string, ...args: any[]): void;
export declare function $writeterm(format: string, ...args: any[]): void;
export declare function $logheader(s: string, width?: number, style?: string, starStyle?: string): void;
export declare function $inbrowser(): boolean;
export interface TSCall {
    getFunction(): (...args: any[]) => any | undefined;
    getFunctionName(): string | null;
    getMethodName(): string | undefined;
    getFileName(): string | null;
    getLineNumber(): number | null;
    getColumnNumber(): number | null;
    getEvalOrigin(): string | undefined;
    getTypeName(): string | null;
    getThis(): unknown | undefined;
}
export declare function $stack(): TSCall[];
